Year make model

OBD Codes Decoder

Decode an OBD-II diagnostic trouble code (e.g. P0115).


Checking account...
GET
/obdcodesdecoder

Decode an OBD-II diagnostic trouble code (e.g. P0115).

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

code*string

The OBD code.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -G https://api.carsxe.com/obdcodesdecoder \  -d key=CARSXE_API_KEY \  -d code=string
{
  "success": true,
  "diagnosis": "Engine Coolant Temperature Circuit Malfunction",
  "date": "2020-07-04T21:44:39.767Z",
  "code": "P0115"
}
{
  "success": false,
  "message": "Missing OBD code"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "Could not find code P9999"
}